import { ParseTree, NonterminalEnum } from "./types";
/**
 * Visualizes a parse tree using a URL that can be pasted into your web browser.
 * @param parseTree tree to visualize
 * @param <NT> the enumeration of symbols in the parse tree's grammar
 * @return url that shows a visualization of the parse tree
 */
export declare function visualizeAsUrl<NT>(parseTree: ParseTree<NT>, nonterminals: NonterminalEnum): string;
/**
 * Visualizes a parse tree as a string of HTML that can be displayed in a web browser.
 * @param parseTree tree to visualize
 * @param <NT> the enumeration of symbols in the parse tree's grammar
 * @return string of HTML that shows a visualization of the parse tree
 */
export declare function visualizeAsHtml<NT>(parseTree: ParseTree<NT>, nonterminals: NonterminalEnum): string;
